#### as_tuple_t::executor_with_default::default_completion_token_type

Specify `as_tuple_t` as the default completion token type.

    typedef as_tuple_t default_completion_token_type;

###### Types

Name | Description
--- | ---
as_default_on_t | Type alias to adapt an I/O object to use as_tuple_t as its default completion token type.
default_constructor_tag | Tag type used to prevent the "default" constructor from being used for conversions.
executor_with_default | Adapts an executor to add the as_tuple_t completion token as the default.

###### Member Functions

Name | Description
--- | ---
as_default_on [static] | Function helper to adapt an I/O object to use as_tuple_t as its default completion token type.
as_tuple_t [constructor] | Default constructor. — Constructor.

###### Data Members

Name | Description
--- | ---
token_ |

The `as_tuple_t` class is used to indicate that any arguments to the completion handler should be combined and passed as a single tuple argument. The arguments are first moved into a `std::tuple` and that tuple is then passed to the completion handler.

###### Requirements

Header: `asio/as_tuple.hpp`

Convenience header: `asio.hpp`